from torchaudio_unittest.common_utils import PytorchTestCase, skipIfNoCuda, skipIfkmeMark

from .librosa_compatibility_test_impl import Functional, FunctionalComplex


@skipIfNoCuda
@skipIfkmeMark
class TestFunctionalCUDA(Functional, PytorchTestCase):
    device = "cuda"


@skipIfNoCuda
@skipIfkmeMark
class TestFunctionalComplexCUDA(FunctionalComplex, PytorchTestCase):
    device = "cuda"
